alt + mouse wheel
Closed, ResolvedPublic

Description

When you do alt +mouse wheel in 3d view the frame change ok, and when you do ion a property , for exemple render size , the value change but not only it change the frame too.
It make this short cut unusable for properties

Krantz Geoffroy (kgeogeo) set Type to Bug.Via Old WorldDec 10 2012, 9:12 PM
Ton Roosendaal (ton) added a comment.Via Old WorldDec 11 2012, 1:32 PM

I tried this on the latest version (2.65 release) and it works fine. Note that the mouse needs to over a highlighted button.

Please always follow our bug reporting guidelines... it's not sufficient to report issues here, you have to make sure we can redo it.
- get the official release from blender.org
- make sure you have default startup (file -> factory settings)
- mention OS version you downloaded.
- if possible, try another system or an older version
- or: when did this work for you even?

Krantz Geoffroy (kgeogeo) added a comment.Via Old WorldDec 11 2012, 3:54 PM

I join you a video to show that it doesn't work for me.
http://www.youtube.com/watch?v=wbrrIm470M4&feature=youtu.be
It is made on ubuntu 12.04 64bits self build of the last svn.
I've made a load factory setting.

Ton Roosendaal (ton) added a comment.Via Old WorldDec 11 2012, 4:00 PM

OK - this is an X11 issue with scrollwheel... it sends mousemove events or so making the button inactive?
Sergey checked on related issues for it... let's ask him.

Sergey Sharybin (sergey) added a comment.Via Old WorldDec 11 2012, 8:50 PM

Ton, yes when i scroll fast enough here frames indeed changes. And that's indeed more like X11 issue -- couldn't have been reproduced this on windows a while ago. Will check on this.

Ton Roosendaal (ton) added a comment.Via Old WorldDec 12 2012, 1:14 PM

Notes for self:

- check win->addmousemove
- remove WM_event_add_mousemove(C);
- try to make button_activate_exit() code to handle the exit event itself

Thomas Dinges (dingto) added a comment.Via Old WorldFeb 19 2013, 1:29 AM

Any updates here? :)

Ton Roosendaal (ton) added a comment.Via Old WorldFeb 19 2013, 4:17 PM

It was too complex for a quick fix before release, so it moves to after 2.66 is out.

Attached a fix, this keeps the button active when it exits but the mouse is still over it (and when it was active to begin with).

This means while you alt+wheel over the button it stays active and doesn't rely on fake mousemove events to be handled before the wheel events.

Checked, and this issue isn't X11 specific, it happens in Windows too if you move the mouse wheel fast enough.

Checked on OSX and the problem exists there too.

applied fix r54929.

Campbell Barton (campbellbarton) closed this task as "Resolved".Via Old WorldFeb 28 2013, 12:39 PM

Add Comment